﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace AnotherToolTipTest
{
    public partial class Form1 : Form
    {
        private MyTooltip m_toolTip = new MyTooltip(new System.Drawing.Font("Arial", 15.5F));
        int m_rIndex = -1;
        int m_cIndex = -1;
        bool m_updateToolTip = false;

        public Form1()
        {
            InitializeComponent();

            dataGridView1.Columns.Add("Color", "Color");
            dataGridView1.Columns.Add("Red", "Red");
            dataGridView1.Columns.Add("Green", "Green");
            dataGridView1.Columns.Add("Blue", "Blue");

            dataGridView1.Rows.Add();
            dataGridView1[0, 0].Value = "pink";
            dataGridView1[1, 0].Value = "255";
            dataGridView1[2, 0].Value = "100";
            dataGridView1[3, 0].Value = "100";

            dataGridView1.Rows.Add();
            dataGridView1[0, 1].Value = "bluish";
            dataGridView1[1, 1].Value = "010";
            dataGridView1[2, 1].Value = "050";
            dataGridView1[3, 1].Value = "255";

            this.m_toolTip.SetToolTip(this.dataGridView1, "dataGridView1");
            this.m_toolTip.SetToolTip(this.btn_exit, "Press to Exit");
        }

        private void btn_exit_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}
